- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Polygon Object Functions
Specific Object Functions

Functions that operate on evas polygon objects. More...

const Eo_Class * | evas_object_polygon_class_get (void)
#define | EVAS_OBJ_POLYGON_CLASS evas_object_polygon_class_get()
#define | EVAS_OBJ_POLYGON_ID(sub_id) (EVAS_OBJ_POLYGON_BASE_ID + sub_id)
#define | evas_obj_polygon_point_add(x, y) EVAS_OBJ_POLYGON_ID(EVAS_OBJ_POLYGON_SUB_ID_POINT_ADD), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y)
#define | evas_obj_polygon_points_clear() EVAS_OBJ_POLYGON_ID(EVAS_OBJ_POLYGON_SUB_ID_POINTS_CLEAR)
enum | { EVAS_OBJ_POLYGON_SUB_ID_POINT_ADD, EVAS_OBJ_POLYGON_SUB_ID_POINTS_CLEAR, EVAS_OBJ_POLYGON_SUB_ID_LAST }
Eo_Op | EVAS_OBJ_POLYGON_BASE_ID
Evas_Object * | evas_object_polygon_add (Evas *e)
| Adds a new evas polygon object to the given evas. More...
void | evas_object_polygon_point_add (Evas_Object *obj, Evas_Coord x, Evas_Coord y)
| Adds the given point to the given evas polygon object. More...
void | evas_object_polygon_points_clear (Evas_Object *obj)
| Removes all of the points from the given evas polygon object. More...

## Detailed Description

Functions that operate on evas polygon objects.

Hint: as evas does not provide ellipse, smooth paths or circle, one can calculate points and convert these to a polygon.

Warning
  We don't guarantee any proper results if you create a Polygon object without setting the evas engine.

## Macro Definition Documentation

#define evas_obj_polygon_point_add | ( |  | x,
|  |  | y
| ) |  | EVAS_OBJ_POLYGON_ID(EVAS_OBJ_POLYGON_SUB_ID_POINT_ADD), EO_TYPECHECK(Evas_Coord, x), EO_TYPECHECK(Evas_Coord, y)

Since
  1.8

Adds the given point to the given evas polygon object.

Parameters

  [in] | x |
  [in] | y |

See Also
  evas_object_polygon_point_add

Referenced by evas_object_polygon_point_add().

#define evas_obj_polygon_points_clear | ( |  | ) | EVAS_OBJ_POLYGON_ID(EVAS_OBJ_POLYGON_SUB_ID_POINTS_CLEAR)

Since
  1.8

Removes all of the points from the given evas polygon object.

See Also
  evas_object_polygon_points_clear

Referenced by evas_object_polygon_points_clear().

## Function Documentation

Evas_Object* evas_object_polygon_add | ( | Evas * | e | ) |

Adds a new evas polygon object to the given evas.

Parameters

  e | The given evas.

Returns
  A new evas polygon object.

void evas_object_polygon_point_add | ( | Evas_Object * | obj,
|  | Evas_Coord | x,
|  | Evas_Coord | y
| ) |  |

Adds the given point to the given evas polygon object.

Parameters

  obj | The given evas polygon object.
  x | The X coordinate of the given point.
  y | The Y coordinate of the given point.

References evas_obj_polygon_point_add.

void evas_object_polygon_points_clear | ( | Evas_Object * | obj | ) |

Removes all of the points from the given evas polygon object.

Parameters

  obj | The given polygon object.

References evas_obj_polygon_points_clear.